DynArrayHelper (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.DynamicAny
Class DynArrayHelper

    java.lang.Object
      |
      +--org.omg.DynamicAny.DynArrayHelper

public abstract class DynArrayHelper
extends Object

DynArray objects support the manipulation of IDL arrays. Note that the dimension of the array is contained in the TypeCode which is accessible through the type attribute. It can also be obtained by calling the component_count operation.

Constructor Summary
`DynArrayHelper()`

Method Summary
`static DynArray` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, DynArray that)`
`static DynArray` | `narrow(Object obj)`
`static DynArray` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, DynArray value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynArrayHelper

    public DynArrayHelper()

Method Detail

### insert

    public static void insert(Any a,
                              DynArray that)

### extract

    public static DynArray extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static DynArray read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             DynArray value)

### narrow

    public static DynArray narrow(Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.